getPresetEvent(params: GetAiVisualPresetEventParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Query preset events for the Smart Visual Cube list
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<PresetEvent[]>
Preset event configuration list (see PresetEvent)
Referenced Types
interface
PresetEventPreset detection events| Property | Type | Description |
|---|---|---|
configCode | string | Configuration code |
configCodeIcon | string | Configuration icon |
configCodeDesc | string | Configuration description |
enum
BusinessType| Value | Actual Value | Description |
|---|---|---|
BusinessType.aigcProtect | aigcProtect | Smart Cube protection |
BusinessType.aiTimePhotoAlbumDetect | aiTimePhotoAlbumDetect | Time Album detection |
BusinessType.aiSmartFreeEvent | aiSmartFreeEvent | Smart free events |
Valid Values
BusinessType
| Value | Description | Since |
|---|---|---|
aigcProtect | Smart Cube protection | - |
aiTimePhotoAlbumDetect | Time Album detection | - |
aiSmartFreeEvent | Smart free events | - |